Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

Create document space

POST/workspaces/{organizationId}/document-spaces
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Request body
application/json
namestringrequired
min length 1
descriptionstring
iconstring
publicSharingboolean
restrictedboolean
Responses
201

Space created

idstringrequired
organizationIdstringrequired
namestringrequired
descriptionstring | nullrequired
iconstring | nullrequired
publicSharingbooleanrequired
restrictedbooleanrequired
createdByIdstringrequired
createdAtstringrequired
Try it
Server
Authorization
Parameters
Bodyapplication/json
Request
curl -X POST 'https://pile.nyc/workspaces/string/document-spaces' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string",
  "description": "string",
  "icon": "string",
  "publicSharing": true,
  "restricted": true
}'
Response
{
  "id": "string",
  "organizationId": "string",
  "name": "string",
  "description": "string",
  "icon": "string",
  "publicSharing": true,
  "restricted": true,
  "createdById": "string",
  "createdAt": "string"
}

Was this page helpful?